org.eclipse.emf.compare.match.eobject

## Interface ScopeQuery

All Known Implementing Classes:
  ProximityEObjectMatcher

    public interface ScopeQuery

A class implementing this contract should have the ability to query the scope and tell, from a given EObject, if it is in the scope or not. Implementation should not trigger any kind of proxy resolution.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isInScope(EObject any)` Check whether the object is in the scope or not.

### Method Detail

#### isInScope

    boolean isInScope(EObject any)

Check whether the object is in the scope or not.

Parameters:
  `any` - any EObject.
Returns:
  true if the Object is in scope. False otherwise.